Subject: Re: [X2Go-Dev] Bug#566: Bug#566: X2Go Client for Windows 4.0.2.1 cannon create C:\Users\<username>\ssh\known_hosts file when the local Windows account username has non-English characters

From: Michael DePaulo <[email-masked]>
Date: Sun, 7 Sep 2014 00:44:25 -0400

Hi George,

1st, please use either "diff -c" or "git diff" to prepare the patch.
You can even use "git diff" on a files/folders that are outisde of a
git source tree.

2nd, I tried what I think was your patch. I've attached the change I
used, it is outputted with "git diff". I used the x2goclient master
branch (4.0.3.0.)

Unfortunately, it failed to fix the bug. I did not experience any
regressions though.

I tested it on both a Windows XP 32-bit SP3 machine and a Windows 8.1
64-bit machine (with the latest required updates & optional updates
from MS.)

3rd, the username I used was "δοκιμαστικό χρήστη". That is how Google
Translate translated "test user" into Greek. Because it is not easy
for me to type that name into the Windows login prompt, I simply ran
commands like the following to test it:
runas "/user:δοκιμαστικό χρήστη" "c:\x2gobuilds\x2goclient\dist\x2goclient.exe"

-Mike

On Mon, Sep 1, 2014 at 7:23 PM, Michael DePaulo <[email-masked]> wrote:
> On Mon, Sep 1, 2014 at 3:51 PM, Mike Gabriel
> <[email-masked]> wrote:
>> Hi Mike#2,
>>
>> On  Mo 01 Sep 2014 19:28:50 CEST, George Trakatelis wrote:
>>
>>> A suggested patch is to substitute the Qt4 toAscii() function with
>>> toLocal8Bit()
>>> in two specific places of SshMasterConnection::run().
>>> A git diff is as follows:
>>>
>>> $ diff /c/a/sshmasterconnection.cpp /c/b/sshmasterconnection.cpp
>>> 521c521
>>> <     ssh_options_set ( my_ssh_session, SSH_OPTIONS_SSH_DIR,
>>> (mainWnd->getHomeDirectory()+"/ssh").toAscii());
>>> ---
>>>>
>>>>     ssh_options_set ( my_ssh_session, SSH_OPTIONS_SSH_DIR,
>>>> (mainWnd->getHomeDirectory()+"/ssh").toLocal8Bit());
>>>
>>> 630c630
>>> <     ssh_options_set ( my_ssh_session, SSH_OPTIONS_SSH_DIR,
>>> (mainWnd->getHomeDirectory()+"/ssh").toAscii());
>>> ---
>>>>
>>>>     ssh_options_set ( my_ssh_session, SSH_OPTIONS_SSH_DIR,
>>>> (mainWnd->getHomeDirectory()+"/ssh").toLocal8Bit());
>>>
>>>
>>> The change affects only Windows builds and was tested in Windows 8.1 Pro
>>> and Windows 7 Professional.
>>>
>>> G. Trakatelis
>>
>>
>> Can you review these changes and if appropriate commit them to the master
>> branch of x2goclient.git?
>>
>> Thanks!
>> Mike
>>
>> [...]
>
> Sure. I'm busy today, but I'll do so within the next few/several days.
>
> -Mike